import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetBars = createAsyncThunk(
  "SLAUGHTER_GET_BARS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("bars_for_kill_house/", {
      params: { freezing: true, kill_house_key: d.key, date: d.date },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
